---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2020-05-26T09:46:49Z"
    generation: 1
    labels:
      name: cluster-samples-operator
      pod-template-hash: 877b5977f
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"5fda63f7-5173-4d25-a55e-447f5db41bbd"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:name: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:name: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"cluster-samples-operator"}:
                  .: {}
                  f:command: {}
                  f:env:
                    .: {}
                    k:{"name":"IMAGE_AGENT_MAVEN"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"IMAGE_AGENT_NODEJS"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"IMAGE_JENKINS"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_NAME"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"RELEASE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"WATCH_NAMESPACE"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:ports:
                    .: {}
                    k:{"containerPort":60000,"protocol":"TCP"}:
                      .: {}
                      f:containerPort: {}
                      f:name: {}
                      f:protocol: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/etc/secrets"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
                k:{"name":"cluster-samples-operator-watch"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:nodeSelector:
                .: {}
                f:node-role.kubernetes.io/master: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:shareProcessNamespace: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
              f:volumes:
                .: {}
                k:{"name":"samples-operator-tls"}:
                  .: {}
                  f:name: {}
                  f:secret:
                    .: {}
                    f:defaultMode: {}
                    f:secretName: {}
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T09:46:56Z"
    name: cluster-samples-operator-877b5977f
    namespace: openshift-cluster-samples-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: cluster-samples-operator
      uid: 5fda63f7-5173-4d25-a55e-447f5db41bbd
    resourceVersion: "13758"
    selfLink: /apis/apps/v1/namespaces/openshift-cluster-samples-operator/replicasets/cluster-samples-operator-877b5977f
    uid: fdccd9d4-7260-4c58-8269-67af95424340
  spec:
    replicas: 1
    selector:
      matchLabels:
        name: cluster-samples-operator
        pod-template-hash: 877b5977f
    template:
      metadata:
        creationTimestamp: null
        labels:
          name: cluster-samples-operator
          pod-template-hash: 877b5977f
      spec:
        containers:
        - command:
          - cluster-samples-operator
          env:
          - name: WATCH_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: OPERATOR_NAME
            value: cluster-samples-operator
          - name: RELEASE_VERSION
            value: 0.0.1-2020-05-26-050349
          - name: IMAGE_JENKINS
            value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9d262f3c703325252f699f8982fd931bbd90a076f741337916e1f5df19a3c7af
          - name: IMAGE_AGENT_NODEJS
            value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:90c2764fc09f257fc30cb789dcd77c15530980d524391cd8a8296a850d69bc0a
          - name: IMAGE_AGENT_MAVEN
            value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:8d16b8a1895fcb3f2e4f15c62ad15e5f92aa448deff1dabce242c6cd40d169f1
          image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
          imagePullPolicy: IfNotPresent
          name: cluster-samples-operator
          ports:
          - containerPort: 60000
            name: metrics
            protocol: TCP
          resources:
            requests:
              cpu: 10m
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /etc/secrets
            name: samples-operator-tls
        - args:
          - --namespace=openshift-cluster-samples-operator
          - --process-name=cluster-samples-operator
          - --termination-grace-period=30s
          - --files=/etc/secrets/tls.crt,/etc/secrets/tls.key
          command:
          - cluster-samples-operator-watch
          - file-watcher-watchdog
          image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
          imagePullPolicy: IfNotPresent
          name: cluster-samples-operator-watch
          resources:
            requests:
              cpu: 10m
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        nodeSelector:
          node-role.kubernetes.io/master: ""
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: cluster-samples-operator
        serviceAccountName: cluster-samples-operator
        shareProcessNamespace: true
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
        volumes:
        - name: samples-operator-tls
          secret:
            defaultMode: 420
            secretName: samples-operator-tls
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "56686"
  selfLink: /apis/apps/v1/namespaces/openshift-cluster-samples-operator/replicasets
